#!/bin/sh

# Build le script scut.go 
go build scut.go

# Créer l'archive zip
zip -r scut.zip scut README.md config

# Renommer l'archive
# Vérifier que le fichier scut-latest.zip n'existe pas
if [ -f scut-latest.zip ]; then
    rm scut-latest.zip
fi
mv scut.zip scut-latest.zip

# création du fichier checksum
sha256sum scut-latest.zip > scut-latest.zip.sha256 